﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class SingleGoods : MonoBehaviour {

    public Sprite[] goodsSprite;

    public GameObject wagonImageGO;
    public GameObject[] textsGOs;
    public GameObject[] button;


    public void Config(ThingAndPrice thing)
    {
        Sprite thingSprite;
        switch (thing.TypeOfRes)
        {
            case ResourcesTypes.Coal: thingSprite = goodsSprite[0]; break;
            case ResourcesTypes.Drugs: thingSprite = goodsSprite[1]; break;
            case ResourcesTypes.Food: thingSprite = goodsSprite[2]; break;
            case ResourcesTypes.Luxuries: thingSprite = goodsSprite[3]; break;
            case ResourcesTypes.Ammo: thingSprite = goodsSprite[4]; break;
            default: thingSprite = goodsSprite[1]; break;
        }

        wagonImageGO.GetComponent<Image>().sprite = thingSprite;
        textsGOs[0].GetComponent<Text>().text = thing.TypeOfRes.ToString();
        textsGOs[1].GetComponent<Text>().text = thing.Price.ToString();
        button[0].GetComponent<Button>().onClick.AddListener(() => { InCityManager.Instance.BuyGoods(thing, 1); });
        button[1].GetComponent<Button>().onClick.AddListener(() => { InCityManager.Instance.BuyGoods(thing, 5); });
        button[2].GetComponent<Button>().onClick.AddListener(() => { InCityManager.Instance.BuyGoods(thing, 25); });
        button[3].GetComponent<Button>().onClick.AddListener(() => { InCityManager.Instance.SellGoods(thing, 1); });
        button[4].GetComponent<Button>().onClick.AddListener(() => { InCityManager.Instance.SellGoods(thing, 5); });
        button[5].GetComponent<Button>().onClick.AddListener(() => { InCityManager.Instance.SellGoods(thing, 25); });
    }

}
