﻿using UnityEngine;
using System.Collections;

public class RailFieldHover : Singleton<RailFieldHover>
{

    public void Show(Vector3 location)
    {
        transform.position = location;
        transform.GetComponent<SpriteRenderer>().enabled = true;
    }

    public void Hide()
    {
        transform.GetComponent<SpriteRenderer>().enabled = false;
    }
}
