﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class SingleBuyWagon : MonoBehaviour {

    public GameObject[] wagonsPrefabs;

    public GameObject wagonImageGO;
    public GameObject[] textsGOs;
    public GameObject button;

    public void Config(ThingAndPrice thing)
    {
        GameObject thingPrefab;
        switch (thing.TypeOfRes)
        {
            case ResourcesTypes.Coal: thingPrefab = wagonsPrefabs[0]; break;
            case ResourcesTypes.Drugs: thingPrefab = wagonsPrefabs[1]; break;
            case ResourcesTypes.Food: thingPrefab = wagonsPrefabs[2]; break;
            case ResourcesTypes.Luxuries: thingPrefab = wagonsPrefabs[3]; break;
            case ResourcesTypes.Ammo: thingPrefab = wagonsPrefabs[4]; break;
            default: thingPrefab = wagonsPrefabs[0]; break;    
        }

        wagonImageGO.GetComponent<Image>().sprite = thingPrefab.GetComponent<SpriteRenderer>().sprite;
        textsGOs[0].GetComponent<Text>().text = thing.TypeOfRes.ToString();
        textsGOs[1].GetComponent<Text>().text = thing.Price.ToString();
        button.GetComponent<Button>().onClick.AddListener(() => { InCityManager.Instance.BuyWagon(thing, thingPrefab); });
    }

}
