﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class SingleMyWagon : MonoBehaviour {

    public GameObject wagonImageGO;
    public GameObject[] textsGOs;
    public GameObject button;

    public void Config(Wagon wagon, bool isSellable)
    {
        wagonImageGO.GetComponent<Image>().sprite = wagon.GetComponent<SpriteRenderer>().sprite;
        textsGOs[0].GetComponent<Text>().text = wagon.typeRes.ToString();
        textsGOs[1].GetComponent<Text>().text = "[" + wagon.currentCapacity + "/" + wagon.maxCapacity + "]";
        if (isSellable)
            button.GetComponent<Button>().onClick.AddListener(() => { InCityManager.Instance.SellWagon(wagon); });
        else
            button.SetActive(false);
    }
}
